Package org.eclipse.m2m.atl.emftvm

## Interface InvokeInstruction

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `Instruction`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `Invoke`, `InvokeAllCbs`, `InvokeCb`, `InvokeCbS`, `InvokeOperationInstruction`, `InvokeStatic`, `InvokeSuper`, `Match`, `MatchS`

All Known Implementing Classes:
  `InvokeAllCbsImpl`, `InvokeCbImpl`, `InvokeCbSImpl`, `InvokeImpl`, `InvokeInstructionImpl`, `InvokeOperationInstructionImpl`, `InvokeStaticImpl`, `InvokeSuperImpl`, `MatchImpl`, `MatchSImpl`

    public interface InvokeInstruction
    extends Instruction

A representation of the model object 'Invoke Instruction'.

See Also:
  `EmftvmPackage.getInvokeInstruction()`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getArgcount()` Returns the value of the 'Argcount' attribute.
`void` `setArgcount​(int value)` Sets the value of the '`Argcount`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Instruction

`getLineNumber, getOpcode, getOwningBlock, getStackConsumption, getStackLevel, getStackProduction, setLineNumber, setOwningBlock`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getArgcount

    int getArgcount()

Returns the value of the 'Argcount' attribute.

If the meaning of the 'Argcount' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Argcount' attribute.
See Also:
  `setArgcount(int)`, `EmftvmPackage.getInvokeInstruction_Argcount()`

#### setArgcount

    void setArgcount​(int value)

Sets the value of the '`Argcount`' attribute.

Parameters:
  `value` - the new value of the 'Argcount' attribute.
See Also:
  `getArgcount()`